Debian Bug report logs - #627700
New Intel Ethernet adapters (e1000e driver)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Mon, 23 May 2011 18:42:01 UTC

Severity: important

Found in version 2.6.32-34

Fixed in versions linux-2.6/2.6.32-36, user-mode-linux/2.6.32-1um-4+37

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627700; Package linux-2.6. (Mon, 23 May 2011 18:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 18:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: submit@bugs.debian.org
Subject: New Intel Ethernet adapters (e1000e driver)
Date: Mon, 23 May 2011 11:38:45 -0700
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.32-34
Severity: important

In this kernel version, the e1000e driver is missing support for
i82567V-4 and i82579 and important bug fixes for i82577, i82578 and
i82583.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627700; Package linux-2.6. (Fri, 01 Jul 2011 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <muehlenhoff@univention.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 Jul 2011 09:33:10 GMT) Full text and rfc822 format available.

Message #10 received at 627700@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <muehlenhoff@univention.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 627700@bugs.debian.org
Subject: Re: New Intel Ethernet adapters (e1000e driver)
Date: Fri, 1 Jul 2011 11:23:29 +0200
Hi,

> In this kernel version, the e1000e driver is missing support for
> i82567V-4 and i82579 and important bug fixes for i82577, i82578 and
> i82583.

Here's our test results for the previously unsupported 82579V card:

lspci -vv:

00:19.0 Ethernet controller: Intel Corporation Device 1503 (rev 05)
        Subsystem: Intel Corporation Device 2002
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 27
        Region 0: Memory at fe700000 (32-bit, non-prefetchable) [size=128K]
        Region 1: Memory at fe728000 (32-bit, non-prefetchable) [size=4K]
        Region 2: I/O ports at f040 [size=32]
        Capabilities: [c8] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA 
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ 
Queue=0/0 Enable+
                Address: 00000000feeff00c  Data: 41c1
        Capabilities: [e0] PCIe advanced features <?>
        Kernel driver in use: e1000e
        Kernel modules: e1000e

lspci -n

00:19.0 0200: 8086:1503 (rev 05)


>   1. If the driver tries to load firmware (only required for some chips),
> does this work once the firmware file(s) are installed? 

No firmware is being loaded.

>   2. Can you receive and transmit VLAN-tagged frames after creating a VLAN
>   interface? 

The tests outlined in #627704 were successful.

>   3. Does the interface work after suspend and resume?

I couldn't test this; suspend doesn't work properly on that system.

>  4. Does the interface work after removing the cable for 10 seconds and 
reinserting it?

That worked fine.

>  5. Does multicast configuration work? (IPv6 autoconfiguration or mDNS will 
cover this.)

"avahi-browse --all" worked fine.

>   6. Can the interface send and receive TCP/IP across a LAN at the same 
speed, before and after these changes? (Use e.g. netperf to test this, but 
don't forget to remove the netperf package after use.)

Since the card was previously unsupported I cannot compare it to the previous 
state. The performance of large file copies was quite ok.

root@lynx:~# netperf 
TCP STREAM TEST from 0.0.0.0 (0.0.0.0) port 0 AF_INET to localhost (127.0.0.1) 
port 0 AF_INET : demo
Recv   Send    Send                          
Socket Socket  Message  Elapsed              
Size   Size    Size     Time     Throughput  
bytes  bytes   bytes    secs.    10^6bits/sec  

 87380  16384  16384    10.00    24326.17   

>   7. Are any warnings or errors logged by the kernel during the preceding 
tests?

None.

Cheers,
Moritz
-- 
Moritz Mühlenhoff                         muehlenhoff@univention.de
Open Source Software Engineer and Consultant
Univention GmbH  Linux for Your Business     fon: +49 421 22 232- 0
Mary-Somerville-Str.1  28359 Bremen          fax: +49 421 22 232-99
http://www.univention.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627700; Package linux-2.6. (Fri, 01 Jul 2011 11:33:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 01 Jul 2011 11:33:17 GMT) Full text and rfc822 format available.

Message #15 received at 627700@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Moritz Mühlenhoff <muehlenhoff@univention.de>
Cc: 627700@bugs.debian.org
Subject: Re: New Intel Ethernet adapters (e1000e driver)
Date: Fri, 01 Jul 2011 12:31:34 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-07-01 at 11:23 +0200, Moritz Mühlenhoff wrote:
> Hi,
> 
> > In this kernel version, the e1000e driver is missing support for
> > i82567V-4 and i82579 and important bug fixes for i82577, i82578 and
> > i82583.
> 
> Here's our test results for the previously unsupported 82579V card:

Thanks.

[...]
> Since the card was previously unsupported I cannot compare it to the previous 
> state. The performance of large file copies was quite ok.
> 
> root@lynx:~# netperf 
> TCP STREAM TEST from 0.0.0.0 (0.0.0.0) port 0 AF_INET to localhost (127.0.0.1) 
> port 0 AF_INET : demo
> Recv   Send    Send                          
> Socket Socket  Message  Elapsed              
> Size   Size    Size     Time     Throughput  
> bytes  bytes   bytes    secs.    10^6bits/sec  
> 
>  87380  16384  16384    10.00    24326.17   

Well you have a very fast loopback interface...

Ben.

-- 
Ben Hutchings
Logic doesn't apply to the real world. - Marvin Minsky
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627700; Package linux-2.6. (Mon, 11 Jul 2011 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Mühlenhoff <muehlenhoff@univention.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 11 Jul 2011 08:06:04 GMT) Full text and rfc822 format available.

Message #20 received at 627700@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <muehlenhoff@univention.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 627700@bugs.debian.org
Subject: Re: New Intel Ethernet adapters (e1000e driver)
Date: Mon, 11 Jul 2011 10:01:56 +0200
Hi,

> > > In this kernel version, the e1000e driver is missing support for
> > > i82567V-4 and i82579 and important bug fixes for i82577, i82578 and
> > > i82583.
> >
> > Here's our test results for the previously unsupported 82579V card:
>
> Thanks.
>
> [...]

Additional test results for a different system with a previously unsupported 
Intel 82577 card:

00:19.0 Ethernet controller: Intel Corporation Device 1503 (rev 04)
        Subsystem: Fujitsu Limited. Device 161c
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- 
Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 27
        Region 0: Memory at e2600000 (32-bit, non-prefetchable) [size=128K]
        Region 1: Memory at e262b000 (32-bit, non-prefetchable) [size=4K]
        Region 2: I/O ports at 3080 [size=32]
        Capabilities: [c8] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA 
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [d0] Message Signalled Interrupts: Mask- 64bit+ 
Queue=0/0 Enable+
                Address: 00000000fee0f00c  Data: 41b9
        Capabilities: [e0] PCIe advanced features <?>
        Kernel driver in use: e1000e
        Kernel modules: e1000e

>   1. If the driver tries to load firmware (only required for some chips),
> does this work once the firmware file(s) are installed? 

No firmware is being loaded.

>   2. Can you receive and transmit VLAN-tagged frames after creating a VLAN
>   interface? 

The tests outlined in #627704 were successful.

>   3. Does the interface work after suspend and resume?

I couldn't test this.

>  4. Does the interface work after removing the cable for 10 seconds and
>  reinserting it?

No problems occurred.

>  5. Does multicast configuration work? (IPv6 autoconfiguration or mDNS will 
cover this.)

"avahi-browse --all" worked fine.

>   6. Can the interface send and receive TCP/IP across a LAN at the same
>   speed, before and after these changes? (Use e.g. netperf to test this, but
>   don't forget to remove the netperf package after use.)

See below.

>   7. Are any warnings or errors logged by the kernel during the preceding 
tests?

None.

>> Since the card was previously unsupported I cannot compare it to the
> > previous state. The performance of large file copies was quite ok.
> >
> > root@lynx:~# netperf
> > TCP STREAM TEST from 0.0.0.0 (0.0.0.0) port 0 AF_INET to localhost
> > (127.0.0.1) port 0 AF_INET : demo
> > Recv   Send    Send
> > Socket Socket  Message  Elapsed
> > Size   Size    Size     Time     Throughput
> > bytes  bytes   bytes    secs.    10^6bits/sec
> >
> >  87380  16384  16384    10.00    24326.17
>
> Well you have a very fast loopback interface...

Ah...

With real world usage the performance was as expected, copying files over scp 
gives a throughput of 60-70 megabytes per second for both systems, with the 
CPU power of the remote host being the apparent bottleneck.

Cheers,
Moritz
-- 
Moritz Mühlenhoff                         muehlenhoff@univention.de
Open Source Software Engineer and Consultant
Univention GmbH  Linux for Your Business     fon: +49 421 22 232- 0
Mary-Somerville-Str.1  28359 Bremen          fax: +49 421 22 232-99
http://www.univention.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627700; Package linux-2.6. (Thu, 14 Jul 2011 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Schade <markus.schade@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Jul 2011 13:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 627700@bugs.debian.org (full text, mbox):

From: Markus Schade <markus.schade@gmail.com>
To: 627700@bugs.debian.org
Subject: New Intel Ethernet adapters (e1000e driver)
Date: Thu, 14 Jul 2011 14:50:27 +0200
Hi,

> In this kernel version, the e1000e driver is missing support for
> i82567V-4 and i82579 and important bug fixes for i82577, i82578 and
> i82583.

test results of the 82579V on an Asus P8Z68-V Pro.

00:19.0 Ethernet controller: Intel Corporation 82579V Gigabit Network 
Connection (rev 05)
        Subsystem: ASUSTeK Computer Inc. Device 849c
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- 
ParErr- Stepping- SERR- FastB2B- DisINTx+
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- 
<TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 0
        Interrupt: pin A routed to IRQ 29
        Region 0: Memory at fe600000 (32-bit, non-prefetchable) [size=128K]
        Region 1: Memory at fe624000 (32-bit, non-prefetchable) [size=4K]
        Region 2: I/O ports at f080 [size=32]
        Capabilities: [c8] Power Management version 2
                Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA 
PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
                Address: 00000000feeff00c  Data: 41c9
        Capabilities: [e0] PCI Advanced Features
                AFCap: TP+ FLR+
                AFCtrl: FLR-
                AFStatus: TP-
        Kernel driver in use: e1000e

essentially everything works like Moritz already reported. So I will 
only add new things:

>   3. Does the interface work after suspend and resume?

Yes. suspend to RAM and disk works
-----------------%<-----------------
[ 2797.300374] PM: Finishing wakeup.
[ 2797.300376] Restarting tasks ... done.
[ 2799.546903] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow 
Control: Rx/Tx
-----------------%<-----------------
-----------------%<-----------------
[  548.397005] PM: Image restored successfully.
[  548.397008] Restarting tasks ... done.
[  548.397761] PM: Basic memory bitmaps freed
[  549.321542] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow 
Control: Rx/Tx
-----------------%<-----------------


# netperf -L 10.10.1.55 -H 10.10.1.21
TCP STREAM TEST from 10.10.1.55 (10.10.1.55) port 0 AF_INET to 
10.10.1.21 (10.10.1.21) port 0 AF_INET : demo
Recv   Send    Send
Socket Socket  Message  Elapsed
Size   Size    Size     Time     Throughput
bytes  bytes   bytes    secs.    10^6bits/sec

 87380  16384  16384    10.02     931.18

Best regards,
Markus




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 14 Aug 2011 22:57:03 GMT) Full text and rfc822 format available.

Added indication that bug 627700 blocks 624794,626220 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 03 Sep 2011 18:42:09 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Tue, 13 Sep 2011 20:06:15 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Tue, 13 Sep 2011 20:06:15 GMT) Full text and rfc822 format available.

Message #34 received at 627700-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 627700-close@bugs.debian.org
Subject: Bug#627700: fixed in linux-2.6 2.6.32-36
Date: Tue, 13 Sep 2011 20:03:25 +0000
Source: linux-2.6
Source-Version: 2.6.32-36

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-36_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-36_all.deb
linux-2.6_2.6.32-36.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-36.diff.gz
linux-2.6_2.6.32-36.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-36.dsc
linux-base_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-36_all.deb
linux-doc-2.6.32_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-36_all.deb
linux-manual-2.6.32_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-36_all.deb
linux-patch-debian-2.6.32_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-36_all.deb
linux-source-2.6.32_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-36_all.deb
linux-support-2.6.32-5_2.6.32-36_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-36_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627700@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 12 Sep 2011 00:53:46 +0100
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: all i386 source
Version: 2.6.32-36
Distribution: stable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 566522 620848 622259 622745 622997 627700 627702 627704 627705 630730 631465 632778 637659 637848 638656 638956 639425 639426 640650 641232
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (2.6.32-36) stable; urgency=low
 .
   [ maximilian attems ]
   * Add drm change from 2.6.32.41+drm33.18:
     - drm/radeon/kms: fix bad shift in atom iio table parser
   * [opvenz] ptrace: Don't allow to trace a process without memory map.
   * Add drm change from 2.6.32.42+drm33.19, including:
     - drm/i915: Add a no lvds quirk for the Asus EeeBox PC EB1007
     - drm/radeon/kms: fix for radeon on systems >4GB without hardware iommu
   * Add longterm release 2.6.32.43, including:
     - ksm: fix NULL pointer dereference in scan_get_next_rmap_item()
       (CVE-2011-2183)
     - TTY: ldisc, do not close until there are readers
     - uvcvideo: Remove buffers from the queues when freeing
     - inet_diag: fix inet_diag_bc_audit() (CVE-2011-2213)
     - net: filter: Use WARN_RATELIMIT
     - af_packet: prevent information leak
     - ipv6/udp: Use the correct variable to determine non-blocking condition
     - mm: prevent concurrent unmap_mapping_range() on the same inode
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.43
     and the bug report which this closes: #637848.
 .
   [ Ben Hutchings ]
   * Add longterm release 2.6.32.42, including:
     - ftrace: Only update the function code on write to filter files
     - kmemleak: Do not return a pointer to an object that kmemleak did not get
     - ext3: Fix fs corruption when make_indexed_dir() fails
     - jbd: fix fsync() tid wraparound bug
     - PCI: allow matching of prefetchable resources to non-prefetchable windows
       (Closes: #637659)
     - loop: handle on-demand devices correctly
     - xhci: Fix full speed bInterval encoding; fix interval calculation for
       FS isoc endpoints (regressions in 2.6.32-34)
     - OHCI: fix regression caused by nVidia shutdown workaround
       (regression in 2.6.32-31)
     - brd: handle on-demand devices correctly
     - xen mmu: fix a race window causing leave_mm BUG()
     - SCSI: Fix oops caused by queue refcounting failure
     - fat: Fix corrupt inode flags when remove ATTR_SYS flag
     - pata_cm64x: fix boot crash on parisc (Closes: #622745, #622997)
     - Revert "iwlagn: Support new 5000 microcode." (Closes: #632778)
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.42
     and the bug report which this closes: #631465.
   * [vserver] Update patch to 2.6.32.41-vs2.3.0.36.29.7
     - Apply sched changes deferred from 2.6.32.29
   * e1000e: Backport changes up to Linux 2.6.38 (Closes: #627700)
     - Add support for i82567V-4 and i82579
     - Fix support for i82577, i82578 and i82583
   * e1000e: Fix selection of alternate MAC address on device id 0x1060
     (regression in 2.6.34)
   * igb,igbvf: Backport changes up to Linux 3.0.4 (Closes: #627702)
     - Add support for i82576-ET2, i82580, DH89xxCC, i340 and i350
   * r8169: Backport changes up to Linux 3.0.2 (Closes: #627704)
     - Fix support for RTL8102E and RTL8168DP
     - Add support for RTL8105E, RTL8168E and another variant of RTL8168DP
     - Add support for D-Link DGE-530T rev C1
   * tg3,broadcom: Backport changes up to Linux 2.6.38 (Closes: #627705)
     - Add support for BCM5717, BCM5719, BCM57765
     - Add support for BCM50610M and BCM5241 PHYs
     - Fix support for BCM5755
   * Remove net device features from bug reports (Closes: #638956)
   * Revert "net/ipv4: Check for mistakenly passed in non-IPv4 address"
     included in 2.6.32.43, which might break some applications
   * Add longterm release 2.6.32.44, including:
     - NFSv4.1: update nfs4_fattr_bitmap_maxsz
     - hwmon: (max1111) Fix race condition causing NULL pointer exception
     - bridge: send proper message_age in config BPDU
     - USB: OHCI: fix another regression for NVIDIA controllers
       (Closes: #620848)
     - ext3: Fix oops in ext3_try_to_allocate_with_rsv()
     - svcrpc: fix list-corrupting race on nfsd shutdown
     - alpha: fix several security issues (CVE-2011-2208, CVE-2011-2209,
       CVE-2011-2210, CVE-2011-2211)
     - ALSA: sound/core/pcm_compat.c: adjust array index
     - atm: [br2684] allow routed mode operation again
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.44
     and the bug report which this closes: #639425.
   * Add longterm release 2.6.32.45, including:
     - ALSA: timer - Fix Oops at closing slave timer
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.45
     and the bug report which this closes: #639426.
   * sched: Work around sched_group::cpu_power == 0 (Ameliorates: #636797)
   * [x86] Revert "x86, hotplug: Use mwait to offline a processor, fix the
     legacy case" (Closes: #622259)
   * Fix bugs in IPv6 forwarding with GRO/GSO (Closes: #630730):
     - e1000e,igb,igbvf,ixgbe: Fix IPv6 GSO type checks
     - ipv6: Add GSO support on forwarding path
   * devpts: correctly check d_alloc_name() return code (Closes: #640650)
   * ipv6: make fragment identifications less predictable (CVE-2011-2699)
   * Add longterm release 2.6.32.46, including:
     - atm: br2864: sent packets truncated in VC routed mode (Closes: #638656)
     - hwmon: (ibmaem) add missing kfree
     - ALSA: snd-usb-caiaq: Correct offset fields of outbound iso_frame_desc
     - ALSA: snd_usb_caiaq: track submitted output urbs
     - futex: Fix regression with read only mappings
     - x86-32, vdso: On system call restart after SYSENTER, use int $0x80
     - fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.46
     and the bug report which this closes: #641232.
   * drm/ttm: fix ttm_bo_add_ttm(user) failure path
   * 3c503: fix broken IRQ autoprobing (Closes: #566522)
 395e73927ce73dd4fbd97a705deaf3d438fa81a76d948376ca62f10c6728e04d 6091 linux-2.6_2.6.32-36.dsc
 e410c97550d8fb029e57df655d0fa5a41af49e99f294b39be2a1bbba1bf83f4b 15632102 linux-2.6_2.6.32-36.diff.gz
Checksums-Sha1: 
 40952b2088d9a7cbef5382d16dcd10d0a8637b6f 6969 linux-2.6_2.6.32-36.dsc
 5f8b4430b32ec9f7908e9da6cde12e76b659eb5b 15632102 linux-2.6_2.6.32-36.diff.gz
 71e90023ec25f9ce865615aa47a89ee9842bd8e5 6061600 linux-doc-2.6.32_2.6.32-36_all.deb
 df85428bf12afdb48e0f6af566332762f062e5f1 2743112 linux-manual-2.6.32_2.6.32-36_all.deb
 24a686b9e2a97f32fff283a4ee457eba040b986a 9513858 linux-patch-debian-2.6.32_2.6.32-36_all.deb
 f53ffce19a9bcdfa687bf71a6fe942d7d2473c1a 65318950 linux-source-2.6.32_2.6.32-36_all.deb
 182aca06e8c3d104ed080e36472147a1835f319f 164070 linux-support-2.6.32-5_2.6.32-36_all.deb
 5c2578026c95dbd7ac6cd6f4c6242ae29b66cb5c 153056 firmware-linux-free_2.6.32-36_all.deb
 e84ea0a8b58db8ab08297783e89b80c85d6cbfdc 175306 linux-base_2.6.32-36_all.deb
Checksums-Sha256: 
 033df434a7f83a1cd2cd04f3bae959d47f284432a9a9ec524143e0bd2083281c 6969 linux-2.6_2.6.32-36.dsc
 e410c97550d8fb029e57df655d0fa5a41af49e99f294b39be2a1bbba1bf83f4b 15632102 linux-2.6_2.6.32-36.diff.gz
 b5864c6883b2ca3dcf1cd7bd2f9ce47d802d8ac9bd4b2cc23448ff40afc4ac7f 6061600 linux-doc-2.6.32_2.6.32-36_all.deb
 bc51016267eb24cfd31c22d7d3676000caea215f8fc5830f06475d909a0e5315 2743112 linux-manual-2.6.32_2.6.32-36_all.deb
 842ba329ad1e4a533c2839543ef4a19ac1e088c5a2665734b2e46fac790105dc 9513858 linux-patch-debian-2.6.32_2.6.32-36_all.deb
 063de878491d256b173ac17f3489eea2def1947b4b24bcea22024bd2d285710d 65318950 linux-source-2.6.32_2.6.32-36_all.deb
 b8423d47bb26c8f5b7ff29ca4bece3eb89c5bd5d0acd85878240413bc6b76ad8 164070 linux-support-2.6.32-5_2.6.32-36_all.deb
 fbbc04dfafb81c5421615d6a704adfb4af395183cf79759586c1dd837d77f5a6 153056 firmware-linux-free_2.6.32-36_all.deb
 9c3c4bd0cf860a9376f3ab6a60849eaddf426c80b2fd3505616e0f6a8b133e14 175306 linux-base_2.6.32-36_all.deb
Files: 
 105546ff97f0a3dce5e8f3794f530d70 6969 kernel optional linux-2.6_2.6.32-36.dsc
 da5e68258b7a0ebe6d4630ba9adb27ef 15632102 kernel optional linux-2.6_2.6.32-36.diff.gz
 ac74eb032bf471ff8c680610612e7fde 6061600 doc optional linux-doc-2.6.32_2.6.32-36_all.deb
 bb382bb939f4c3edaed1ea0c8910aec4 2743112 doc optional linux-manual-2.6.32_2.6.32-36_all.deb
 cb161796e0547fec650e24810db6b951 9513858 kernel optional linux-patch-debian-2.6.32_2.6.32-36_all.deb
 89fb19a7fd8bb7d97d32f9db39c5b206 65318950 kernel optional linux-source-2.6.32_2.6.32-36_all.deb
 ad6ece03a495dd64831620737e930a77 164070 devel optional linux-support-2.6.32-5_2.6.32-36_all.deb
 b5a821f914a820b1799ae85247437940 153056 kernel optional firmware-linux-free_2.6.32-36_all.deb
 be2fe5ef0c43e472c810b267f7aa2e2a 175306 kernel optional linux-base_2.6.32-36_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTm7VA+e/yOyVhhEJAQpXPhAAwgl8x8K/tHZL1OnF9H04X7nCrvbh23OY
KO57EFq1VPYdAGTFTOE6zmQFztrJ12pMHMhK4j56QhCbRZkQSBVHjYcTg1e446jW
HCS40sMKmvXVTbYcYF2bDaCNWDNf6e2wLVPy7iaD9WvgR5epCUCiSdi7rBpKLaKd
DcAUel/XTBz7aTdJ7QhSSjiT99A+xDp3zWNsG7F2XJ9Qjqyvt93Yqkd7fH1qrhWm
POCwB7ZyT8u/kYv5++lgW3eAYJJOYQiPZOcOZUBWs0wmg8YK1ILu096lt/RHN4DF
O1U/HVYC/R4myGpyAEqe26qZ3xC6WpmwugJDHJv9+Woj9sK5WTqqM5ML+8hMcfc7
Xrdi3xC8GK5xsRws1lvPUV1mla1ULO08C7p5+yIcDgdCpRq06iwUXsYno/dQ9VOn
VULQ4dHKGhGGvE5y5U0LtW1HQxgEoEA2RTRHEUZb9iyDYEbVa+u4ZhuB5/d8+2JC
2NNAHKxISBt0Z1e2fIIxsRHsb9V9zVwMLtgRAvHEjfLF5EIVDoLZyWSuqP4ZPsG6
FWBEg+a4DReW6lVbm2sW/CT6fSW9sGlvcs1bttTK2Fb+HjUbk4SYR3LAD0ROP3z2
uGDgKXuWA7qA1gM7Qkja2xQ6x7P/2HZ/wNTNgp0bHEhoEUzRLEDdVTaNbZxlr28F
uMkfIR8cW7M=
=wvFn
-----END PGP SIGNATURE-----





Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Fri, 30 Sep 2011 20:15:16 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Fri, 30 Sep 2011 20:15:16 GMT) Full text and rfc822 format available.

Message #39 received at 627700-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 627700-close@bugs.debian.org
Subject: Bug#627700: fixed in user-mode-linux 2.6.32-1um-4+37
Date: Fri, 30 Sep 2011 20:12:51 +0000
Source: user-mode-linux
Source-Version: 2.6.32-1um-4+37

We believe that the bug you reported is fixed in the latest version of
user-mode-linux, which is due to be installed in the Debian FTP archive:

user-mode-linux_2.6.32-1um-4+37.diff.gz
  to main/u/user-mode-linux/user-mode-linux_2.6.32-1um-4+37.diff.gz
user-mode-linux_2.6.32-1um-4+37.dsc
  to main/u/user-mode-linux/user-mode-linux_2.6.32-1um-4+37.dsc
user-mode-linux_2.6.32-1um-4+37_amd64.deb
  to main/u/user-mode-linux/user-mode-linux_2.6.32-1um-4+37_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627700@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated user-mode-linux package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 29 Sep 2011 20:23:36 -0600
Source: user-mode-linux
Binary: user-mode-linux
Architecture: source amd64
Version: 2.6.32-1um-4+37
Distribution: stable
Urgency: high
Maintainer: User Mode Linux Maintainers <pkg-uml-pkgs@lists.alioth.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 user-mode-linux - User-mode Linux (kernel)
Closes: 566522 620848 622259 622745 622997 627700 627702 627704 627705 630730 631465 632778 637659 637848 638656 638956 639425 639426 640650 641232 641419 642380
Changes: 
 user-mode-linux (2.6.32-1um-4+37) stable; urgency=high
 .
   * Rebuild against linux-source-2.6.32 (2.6.32-37):
     * pm: Fix definition of SET_SYSTEM_SLEEP_PM_OPS used in backported drivers
       (fixes FTBFS on ia64)
     * splice: Fix write position in output file (Closes: #641419)
     * PCI: Add definition of pci_pcie_cap(), used in backported e1000e
       (fixes FTBFS on armel, mips, mipsel, sparc)
     * [openvz] cpt: Allow ext4 mounts (Closes: #642380)
     * Add drm change from 2.6.32.41+drm33.18:
       - drm/radeon/kms: fix bad shift in atom iio table parser
     * [opvenz] ptrace: Don't allow to trace a process without memory map.
     * Add drm change from 2.6.32.42+drm33.19, including:
       - drm/i915: Add a no lvds quirk for the Asus EeeBox PC EB1007
       - drm/radeon/kms: fix for radeon on systems >4GB without hardware iommu
     * Add longterm release 2.6.32.43, including:
       - ksm: fix NULL pointer dereference in scan_get_next_rmap_item()
         (CVE-2011-2183)
       - TTY: ldisc, do not close until there are readers
       - uvcvideo: Remove buffers from the queues when freeing
       - inet_diag: fix inet_diag_bc_audit() (CVE-2011-2213)
       - net: filter: Use WARN_RATELIMIT
       - af_packet: prevent information leak
       - ipv6/udp: Use the correct variable to determine non-blocking condition
       - mm: prevent concurrent unmap_mapping_range() on the same inode
       For the complete list of changes, see:
        http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.43
       and the bug report which this closes: #637848.
     * Add longterm release 2.6.32.42, including:
       - ftrace: Only update the function code on write to filter files
       - kmemleak: Do not return a pointer to an object that kmemleak did not get
       - ext3: Fix fs corruption when make_indexed_dir() fails
       - jbd: fix fsync() tid wraparound bug
       - PCI: allow matching of prefetchable resources to non-prefetchable windows
         (Closes: #637659)
       - loop: handle on-demand devices correctly
       - xhci: Fix full speed bInterval encoding; fix interval calculation for
         FS isoc endpoints (regressions in 2.6.32-34)
       - OHCI: fix regression caused by nVidia shutdown workaround
         (regression in 2.6.32-31)
       - brd: handle on-demand devices correctly
       - xen mmu: fix a race window causing leave_mm BUG()
       - SCSI: Fix oops caused by queue refcounting failure
       - fat: Fix corrupt inode flags when remove ATTR_SYS flag
       - pata_cm64x: fix boot crash on parisc (Closes: #622745, #622997)
       - Revert "iwlagn: Support new 5000 microcode." (Closes: #632778)
       For the complete list of changes, see:
        http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.42
       and the bug report which this closes: #631465.
     * [vserver] Update patch to 2.6.32.41-vs2.3.0.36.29.7
       - Apply sched changes deferred from 2.6.32.29
     * e1000e: Backport changes up to Linux 2.6.38 (Closes: #627700)
       - Add support for i82567V-4 and i82579
       - Fix support for i82577, i82578 and i82583
     * e1000e: Fix selection of alternate MAC address on device id 0x1060
       (regression in 2.6.34)
     * igb,igbvf: Backport changes up to Linux 3.0.4 (Closes: #627702)
       - Add support for i82576-ET2, i82580, DH89xxCC, i340 and i350
     * r8169: Backport changes up to Linux 3.0.2 (Closes: #627704)
       - Fix support for RTL8102E and RTL8168DP
       - Add support for RTL8105E, RTL8168E and another variant of RTL8168DP
       - Add support for D-Link DGE-530T rev C1
     * tg3,broadcom: Backport changes up to Linux 2.6.38 (Closes: #627705)
       - Add support for BCM5717, BCM5719, BCM57765
       - Add support for BCM50610M and BCM5241 PHYs
       - Fix support for BCM5755
     * Remove net device features from bug reports (Closes: #638956)
     * Revert "net/ipv4: Check for mistakenly passed in non-IPv4 address"
       included in 2.6.32.43, which might break some applications
     * Add longterm release 2.6.32.44, including:
       - NFSv4.1: update nfs4_fattr_bitmap_maxsz
       - hwmon: (max1111) Fix race condition causing NULL pointer exception
       - bridge: send proper message_age in config BPDU
       - USB: OHCI: fix another regression for NVIDIA controllers
         (Closes: #620848)
       - ext3: Fix oops in ext3_try_to_allocate_with_rsv()
       - svcrpc: fix list-corrupting race on nfsd shutdown
       - alpha: fix several security issues (CVE-2011-2208, CVE-2011-2209,
         CVE-2011-2210, CVE-2011-2211)
       - ALSA: sound/core/pcm_compat.c: adjust array index
       - atm: [br2684] allow routed mode operation again
       For the complete list of changes, see:
        http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.44
       and the bug report which this closes: #639425.
     * Add longterm release 2.6.32.45, including:
       - ALSA: timer - Fix Oops at closing slave timer
       For the complete list of changes, see:
        http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.45
       and the bug report which this closes: #639426.
     * sched: Work around sched_group::cpu_power == 0 (Ameliorates: #636797)
     * [x86] Revert "x86, hotplug: Use mwait to offline a processor, fix the
       legacy case" (Closes: #622259)
     * Fix bugs in IPv6 forwarding with GRO/GSO (Closes: #630730):
       - e1000e,igb,igbvf,ixgbe: Fix IPv6 GSO type checks
       - ipv6: Add GSO support on forwarding path
     * devpts: correctly check d_alloc_name() return code (Closes: #640650)
     * ipv6: make fragment identifications less predictable (CVE-2011-2699)
     * Add longterm release 2.6.32.46, including:
       - atm: br2864: sent packets truncated in VC routed mode (Closes: #638656)
       - hwmon: (ibmaem) add missing kfree
       - ALSA: snd-usb-caiaq: Correct offset fields of outbound iso_frame_desc
       - ALSA: snd_usb_caiaq: track submitted output urbs
       - futex: Fix regression with read only mappings
       - x86-32, vdso: On system call restart after SYSENTER, use int $0x80
       - fuse: check size of FUSE_NOTIFY_INVAL_ENTRY message
       For the complete list of changes, see:
        http://www.kernel.org/pub/linux/kernel/v2.6/longterm/v2.6.32/ChangeLog-2.6.32.46
       and the bug report which this closes: #641232.
     * drm/ttm: fix ttm_bo_add_ttm(user) failure path
     * 3c503: fix broken IRQ autoprobing (Closes: #566522)
Checksums-Sha1: 
 1869e4e3bd2255256fd88bc2aa88a25d091c7d73 2030 user-mode-linux_2.6.32-1um-4+37.dsc
 73f04e650f2499dd02305298445072482658725e 17952 user-mode-linux_2.6.32-1um-4+37.diff.gz
 2bb102c3be4aa861b343fe0c23e82774ebd67ecc 7079528 user-mode-linux_2.6.32-1um-4+37_amd64.deb
Checksums-Sha256: 
 eed0a5cfbe40d929734f9d69eb92582b93c637ccf943ecc7bdcd6879cb372d6a 2030 user-mode-linux_2.6.32-1um-4+37.dsc
 ebf8970ea4b463ad781f9d70ac6e366f79876b181b200403b71f5731922462e4 17952 user-mode-linux_2.6.32-1um-4+37.diff.gz
 15d735560016bef67c765b55eb69e7946895fe96cea980597462a49150bf116a 7079528 user-mode-linux_2.6.32-1um-4+37_amd64.deb
Files: 
 211981a8378401bd4a2e23930d597f3e 2030 kernel extra user-mode-linux_2.6.32-1um-4+37.dsc
 bdf1b260c42d7fceb8156eb4259a1682 17952 kernel extra user-mode-linux_2.6.32-1um-4+37.diff.gz
 037c61fd01e7007d7dfc613b68ddc90d 7079528 kernel extra user-mode-linux_2.6.32-1um-4+37_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJOhTOuAAoJEBv4PF5U/IZAnxAP/1+3d842OUG8kOQwJWWXFL07
tuLeobScGYt9MYgj+/sfZi3S8cYS547fjXp0oUlvB9H6llFP/IE7rLzCH7oN9tlv
Zuh63bGt7jLPYM6PNYovqpdkWCwMHEjI8jcK8eUk4Tr86HKU6fwsDKoJg3DnoMf+
jbQc6NZHCbg5nmfo41vuoyi6+zrTN1Acpbf+Cj/l+8BQs/2EZ3v03JM9ExfyyUrt
t4h/czCLJi+mRY7LsYgNDcDvT6bY9M+8cG6xlW32GjSV4okIQa73uinUe/87r5s7
rr4V4vcng6uMjawKC124OIPc4Rk1l3JF0V+x96YtSTCtZFTWqPBalaU7aEG8Pim8
5AKRyNXtWP1+wSJG3sPo1AjWhHy43wKNzQmBBWdo/4dBIX+c8GgYZiBN/l/aTOUn
W7WR1GAI7gxvt0MNAFwp2+AZuDJt0QnsgUFm7L6Gooy5em1Rg9qr2JxYt9K4bHs1
8UcSTOSg4Oj5gqHXv7622rb1C46tpniCVZkSuc7qTCceqCkVxX3mzYNGNixNlwiR
q9eOCfUVMMuoA3iJqQ6p42ICTZwgtjzepl85WnTDDr7RUc9iOXGRjdj/448alsbY
YqnIEw6DFweOU1hx7yNTiSHzfuq9Psmatwpu8vhZ0dpVDZal2Fq9sDUkGhk6q+43
dowrO9sr3Ge2Yw3Gswlh
=6K8r
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Oct 2011 07:32:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:28:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.